import 'package:flutter/material.dart';
import 'package:sghi_core/afya_moja_core/src/presentation/spaces.dart';
import 'package:sghi_core/afya_moja_core/src/presentation/text_themes.dart';

///[OnboardingScaffoldHeader] header on the onboarding scaffold
class OnboardingScaffoldHeader extends StatelessWidget {
  const OnboardingScaffoldHeader({
    required this.title,
    required this.description,
    this.textAlign,
  });

  final String description;
  final String title;
  final TextAlign? textAlign; 

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        mediumVerticalSizedBox,
        Text(
          title,
          textAlign: textAlign ?? TextAlign.start,
          style: boldSize30Text(Theme.of(context).primaryColor),
        ),
        smallVerticalSizedBox,
        Text(
          description,
          textAlign: textAlign ?? TextAlign.start,
          style: lightSize16Text(Colors.grey),
        ),
        smallVerticalSizedBox,
      ],
    );
  }
}
